// 延时驱动
// 杭州秒寻科技有限公司
// 周涛
// 2023-09-14

#ifndef DRIVERDELAY_H
#define DRIVERDELAY_H

#include "sysdef.h"

#define DRIVER_DELAY_SYSTICK_CLK 12.288          // 滴答定时器时钟为HCLK八分频
#define DRIVER_DELAY_100US 1536                  // 延时100微秒（1us需要15.36个周期）
#define DRIVER_DELAY_1MS DRIVER_DELAY_100US * 10 // 延时1毫秒

// 外部接口
void driver_delay_init();
void driver_delay_nxus(uint32 dwUs);
void driver_delay_nx100us(uint16 wNx100us);
void driver_delay_nxms(uint16 wMs);
void driver_delay_nxs(uint16 wS);

// 内部接口
void driver_delay_100us();
void driver_delay_1ms();
void driver_delay_1s();

#endif
